import React from 'react';
import { PrismThemes } from './MarkdownPreview.style';
interface MarkdownEditorProps {
    /** 마크다운 내용 */
    content: string;
    /** 마크다운 코드 스타일 테마 */
    prismTheme: PrismThemes;
    /** 마크다운 컨텐츠 Chnage 콜백 함수 */
    onChange: (e: React.ChangeEvent<HTMLTextAreaElement>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ content, prismTheme, onChange, }: MarkdownEditorProps): JSX.Element;
    defaultProps: {
        prismTheme: string;
    };
}>;
export default _default;
